Details

    • Type: Bug
    • Status: Closed
    • Resolution: Won't Fix
    • Affects Version/s: 7.0.X
    • Fix Version/s: None
    • Labels:
      None
    • Fix Priority:
      5

      Description

      1. Build portal on 7.0.x head with JDK8
      2. Start portal on JDK11 runtime

      Expected Result:
      Portal starts on JDK11.

      Actual Result:
      Portal fails to start:

      Loading jar:file:/Users/vicnate5/bundles/7.0.x-bundles/tomcat-8.0.53/webapps/ROOT/WEB-INF/lib/portal-impl.jar!/system.properties
      java.lang.NoSuchFieldException: usemmap
      	at java.base/java.lang.Class.getDeclaredField(Class.java:2412)
      	at com.liferay.portal.kernel.util.ReflectionUtil.getDeclaredField(ReflectionUtil.java:56)
      	at com.liferay.portal.util.InitUtil.init(InitUtil.java:82)
      	at com.liferay.portal.spring.context.PortalContextLoaderListener.contextInitialized(PortalContextLoaderListener.java:226)
      	at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:4900)
      	at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5363)
      	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:145)
      	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:755)
      	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:731)
      	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:717)
      	at org.apache.catalina.startup.HostConfig.deployDescriptor(HostConfig.java:620)
      	at org.apache.catalina.startup.HostConfig$DeployDescriptor.run(HostConfig.java:1832)
      	at java.base/java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:515)
      	at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
      	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
      	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
      	at java.base/java.lang.Thread.run(Thread.java:834)
      Loading jar:file:/Users/vicnate5/bundles/7.0.x-bundles/tomcat-8.0.53/webapps/ROOT/WEB-INF/lib/portal-impl.jar!/portal.properties
      Loading file:/Users/vicnate5/bundles/7.0.x-bundles/tomcat-8.0.53/webapps/ROOT/WEB-INF/classes/portal-ext.properties
      2018-12-12 18:34:44.315 INFO  [localhost-startStop-1][PortalContextLoaderListener:139] JVM arguments: --add-opens=java.base/java.lang=ALL-UNNAMED --add-opens=java.base/java.io=ALL-UNNAMED --add-opens=java.rmi/sun.rmi.transport=ALL-UNNAMED -Djava.util.logging.config.file=/Users/vicnate5/bundles/7.0.x-bundles/tomcat-8.0.53/conf/logging.properties -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Xmx4096m -Xms1024m -Djdk.tls.ephemeralDHKeySize=2048 -Djava.protocol.handler.pkgs=org.apache.catalina.webresources -Dfile.encoding=UTF8 -Djava.net.preferIPv4Stack=true -Dorg.apache.catalina.loader.WebappClassLoader.ENABLE_CLEAR_REFERENCES=false -Duser.timezone=GMT -Xmx1536m -XX:MaxPermSize=384m -Dignore.endorsed.dirs= -Dcatalina.base=/Users/vicnate5/bundles/7.0.x-bundles/tomcat-8.0.53 -Dcatalina.home=/Users/vicnate5/bundles/7.0.x-bundles/tomcat-8.0.53 -Djava.io.tmpdir=/Users/vicnate5/bundles/7.0.x-bundles/tomcat-8.0.53/temp -Dapple.awt.UIElement=true
      2018-12-12 18:34:45.690 INFO  [localhost-startStop-1][HikariDataSource:95] HikariPool-1 - Starting...
      2018-12-12 18:34:45.776 INFO  [localhost-startStop-1][PoolBase:491] HikariPool-1 - Driver does not support get/set network timeout for connections. (Method org.postgresql.jdbc.PgConnection.getNetworkTimeout() is not yet implemented.)
      2018-12-12 18:34:45.820 INFO  [localhost-startStop-1][HikariDataSource:107] HikariPool-1 - Start completed.
      2018-12-12 18:34:45.831 INFO  [localhost-startStop-1][DialectDetector:77] Determine dialect for PostgreSQL 10.4
      2018-12-12 18:34:45.940 INFO  [localhost-startStop-1][DialectDetector:155] Found dialect org.hibernate.dialect.PostgreSQLDialect
      2018-12-12 18:34:47.364 INFO  [localhost-startStop-1][HikariDataSource:95] HikariPool-2 - Starting...
      2018-12-12 18:34:47.370 INFO  [localhost-startStop-1][PoolBase:491] HikariPool-2 - Driver does not support get/set network timeout for connections. (Method org.postgresql.jdbc.PgConnection.getNetworkTimeout() is not yet implemented.)
      2018-12-12 18:34:47.373 INFO  [localhost-startStop-1][HikariDataSource:107] HikariPool-2 - Start completed.
      2018-12-12 18:34:47.746 INFO  [localhost-startStop-1][BundleStartStopLogger:35] STARTED org.eclipse.osgi_3.10.200.v20150831-0856 [0]
      2018-12-12 18:34:48.070 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_modules_compat:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.modules.compat [1]_  Unresolved requirement: Import-Package: com.liferay.portal.configuration.metatype.annotations; version="[1.0.0,2.0.0)"_    -> Export-Package: com.liferay.portal.configuration.metatype.annotations; bundle-symbolic-name="com.liferay.portal.configuration.metatype"; bundle-version="2.0.14"; version="1.0.1"_       com.liferay.portal.configuration.metatype [8]_         Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_         Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.3.0,1.4.0)"_           -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_              org.osgi.service.metatype [40]_                No resolution report for the bundle. [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.074 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_osgi_felix_file_install_configuration_cleaner:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.osgi.felix.file.install.configuration.cleaner [2]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_  Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"_    -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_       org.apache.felix.configadmin [27]_         Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_           -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_              org.apache.felix.gogo.command [32]_                Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                  -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                     org.apache.felix.gogo.runtime [33]_                       Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                         -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                            org.apache.felix.eventadmin [30]_                              Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                              Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                              Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                                   org.osgi.service.metatype [40]_                                     No resolution report for the bundle.  Unresolved requirement: Require-Capability: osgi.extender; filter:="(&(osgi.extender=osgi.component)(version>=1.3.0)(!(version>=2.0.0)))"_    -> Provide-Capability: osgi.extender; osgi.extender="osgi.component"; version:Version="1.3.0"; uses:="org.osgi.service.component"_       org.apache.felix.scr [35]_         Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_         Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_         Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_         Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_           -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_         Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.078 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_osgi_util:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.osgi.util [3]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_  Unresolved requirement: Import-Package: org.osgi.service.component; version="[1.3.0,2.0.0)"_    -> Export-Package: org.osgi.service.component; bundle-symbolic-name="org.apache.felix.scr"; bundle-version="2.0.6"; version="1.3.0"; uses:="org.osgi.framework"_       org.apache.felix.scr [35]_         Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_         Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_              org.osgi.service.metatype [40]_                No resolution report for the bundle.         Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_              org.apache.felix.configadmin [27]_                Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                  -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                     org.apache.felix.gogo.command [32]_                       Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                         -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                            org.apache.felix.gogo.runtime [33]_                              Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                                -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                                   org.apache.felix.eventadmin [30]_                                     Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                     Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                     Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_         Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_           -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_         Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.080 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_bundle_blacklist:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.bundle.blacklist [4]_  Unresolved requirement: Import-Package: com.liferay.portal.configuration.metatype.annotations; version="[1.0.0,2.0.0)"_    -> Export-Package: com.liferay.portal.configuration.metatype.annotations; bundle-symbolic-name="com.liferay.portal.configuration.metatype"; bundle-version="2.0.14"; version="1.0.1"_       com.liferay.portal.configuration.metatype [8]_         Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_         Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.3.0,1.4.0)"_           -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_              org.osgi.service.metatype [40]_                No resolution report for the bundle. [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.081 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_classloader_tracker:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.classloader.tracker [5]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.082 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_component_blacklist_api:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.component.blacklist.api [6]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.084 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_component_blacklist_impl:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.component.blacklist.impl [7]_  Unresolved requirement: Import-Package: com.liferay.portal.component.blacklist; version="[1.0.0,2.0.0)"_    -> Export-Package: com.liferay.portal.component.blacklist; bundle-symbolic-name="com.liferay.portal.component.blacklist.api"; bundle-version="1.0.2"; version="1.0.0"_       com.liferay.portal.component.blacklist.api [6]_         Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.085 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_configuration_metatype:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.configuration.metatype [8]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_  Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.3.0,1.4.0)"_    -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_       org.osgi.service.metatype [40]_         No resolution report for the bundle. [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.088 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_configuration_persistence:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.configuration.persistence [9]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_  Unresolved requirement: Import-Package: org.apache.felix.cm.file; version="[1.0.0,2.0.0)"_    -> Export-Package: org.apache.felix.cm.file; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.0.0"; uses:="org.apache.felix.cm,org.osgi.framework"_       org.apache.felix.configadmin [27]_         Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_           -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_              org.apache.felix.gogo.command [32]_                Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                  -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                     org.apache.felix.gogo.runtime [33]_                       Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                         -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                            org.apache.felix.eventadmin [30]_                              Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                              Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                              Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                                   org.osgi.service.metatype [40]_                                     No resolution report for the bundle.  Unresolved requirement: Import-Package: org.apache.felix.cm; version="[1.1.0,2.0.0)"_    -> Export-Package: org.apache.felix.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.1.0"_  Unresolved requirement: Require-Capability: osgi.extender; filter:="(&(osgi.extender=osgi.component)(version>=1.3.0)(!(version>=2.0.0)))"_    -> Provide-Capability: osgi.extender; osgi.extender="osgi.component"; version:Version="1.3.0"; uses:="org.osgi.service.component"_       org.apache.felix.scr [35]_         Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_         Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_         Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_         Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_           -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_         Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.090 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_log4j_extender:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.log4j.extender [10]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.094 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_lpkg_deployer:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.lpkg.deployer [11]_  Unresolved requirement: Import-Package: com.liferay.portal.target.platform.indexer; version="[4.0.0,5.0.0)"_    -> Export-Package: com.liferay.portal.target.platform.indexer; bundle-symbolic-name="com.liferay.portal.target.platform.indexer"; bundle-version="4.0.9"; version="4.0.0"_       com.liferay.portal.target.platform.indexer [20]_         Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_         Unresolved requirement: Require-Capability: osgi.extender; filter:="(&(osgi.extender=osgi.component)(version>=1.3.0)(!(version>=2.0.0)))"_           -> Provide-Capability: osgi.extender; osgi.extender="osgi.component"; version:Version="1.3.0"; uses:="org.osgi.service.component"_              org.apache.felix.scr [35]_                Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_                Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                     org.osgi.service.metatype [40]_                       No resolution report for the bundle.                Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                     org.apache.felix.configadmin [27]_                       Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                         -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                            org.apache.felix.gogo.command [32]_                              Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                                -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                                   org.apache.felix.gogo.runtime [33]_                                     Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                                       -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                                          org.apache.felix.eventadmin [30]_                                            Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_                  -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.098 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_osgi_web_portlet_tracker:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.osgi.web.portlet.tracker [12]_  Unresolved requirement: Import-Package: com.liferay.osgi.util; version="[2.0.0,3.0.0)"_    -> Export-Package: com.liferay.osgi.util; bundle-symbolic-name="com.liferay.osgi.util"; bundle-version="3.2.2"; version="2.1.0"; uses:="org.osgi.framework,org.osgi.service.component,org.osgi.util.tracker"_       com.liferay.osgi.util [3]_         Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_         Unresolved requirement: Import-Package: org.osgi.service.component; version="[1.3.0,2.0.0)"_           -> Export-Package: org.osgi.service.component; bundle-symbolic-name="org.apache.felix.scr"; bundle-version="2.0.6"; version="1.3.0"; uses:="org.osgi.framework"_              org.apache.felix.scr [35]_                Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_                Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                     org.osgi.service.metatype [40]_                       No resolution report for the bundle.                Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                     org.apache.felix.configadmin [27]_                       Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                         -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                            org.apache.felix.gogo.command [32]_                              Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                                -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                                   org.apache.felix.gogo.runtime [33]_                                     Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                                       -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                                          org.apache.felix.eventadmin [30]_                                            Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_                  -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.102 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_osgi_web_servlet_context_helper:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.osgi.web.servlet.context.helper [13]_  Unresolved requirement: Import-Package: com.liferay.osgi.util; version="[2.0.0,3.0.0)"_    -> Export-Package: com.liferay.osgi.util; bundle-symbolic-name="com.liferay.osgi.util"; bundle-version="3.2.2"; version="2.1.0"; uses:="org.osgi.framework,org.osgi.service.component,org.osgi.util.tracker"_       com.liferay.osgi.util [3]_         Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_         Unresolved requirement: Import-Package: org.osgi.service.component; version="[1.3.0,2.0.0)"_           -> Export-Package: org.osgi.service.component; bundle-symbolic-name="org.apache.felix.scr"; bundle-version="2.0.6"; version="1.3.0"; uses:="org.osgi.framework"_              org.apache.felix.scr [35]_                Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_                Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                     org.osgi.service.metatype [40]_                       No resolution report for the bundle.                Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                     org.apache.felix.configadmin [27]_                       Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                         -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                            org.apache.felix.gogo.command [32]_                              Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                                -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                                   org.apache.felix.gogo.runtime [33]_                                     Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                                       -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                                          org.apache.felix.eventadmin [30]_                                            Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_                  -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.107 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_osgi_web_servlet_jsp_compiler:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.osgi.web.servlet.jsp.compiler [14]_  Unresolved requirement: Import-Package: javax.servlet.jsp; version="[2.3.2,3.0.0)"_    -> Export-Package: javax.servlet.jsp; bundle-symbolic-name="javax.servlet.jsp-api"; bundle-version="2.3.2.b01"; version="2.3.2.b01"; uses:="javax.servlet,javax.el,javax.servlet.jsp.el,javax.servlet.jsp.tagext,javax.servlet.http"_       javax.servlet.jsp-api [22]_         Unresolved requirement: Import-Package: javax.el_           -> Export-Package: javax.el; bundle-symbolic-name="com.sun.el.javax.el"; bundle-version="3.0.0"; version="3.0.0"_              com.sun.el.javax.el [21]_  Unresolved requirement: Import-Package: javax.servlet.jsp.tagext; version="[2.3.2,3.0.0)"_    -> Export-Package: javax.servlet.jsp.tagext; bundle-symbolic-name="javax.servlet.jsp-api"; bundle-version="2.3.2.b01"; version="2.3.2.b01"; uses:="javax.servlet.jsp"_  Unresolved requirement: Import-Package: javax.servlet.jsp.el; version="[2.3.2,3.0.0)"_    -> Export-Package: javax.servlet.jsp.el; bundle-symbolic-name="javax.servlet.jsp-api"; bundle-version="2.3.2.b01"; version="2.3.2.b01"; uses:="javax.servlet,javax.el,javax.servlet.jsp,javax.servlet.http"_  Unresolved requirement: Import-Package: com.liferay.osgi.util; version="[2.0.0,3.0.0)"_    -> Export-Package: com.liferay.osgi.util; bundle-symbolic-name="com.liferay.osgi.util"; bundle-version="3.2.2"; version="2.1.0"; uses:="org.osgi.framework,org.osgi.service.component,org.osgi.util.tracker"_       com.liferay.osgi.util [3]_         Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_         Unresolved requirement: Import-Package: org.osgi.service.component; version="[1.3.0,2.0.0)"_           -> Export-Package: org.osgi.service.component; bundle-symbolic-name="org.apache.felix.scr"; bundle-version="2.0.6"; version="1.3.0"; uses:="org.osgi.framework"_              org.apache.felix.scr [35]_                Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_                Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                     org.osgi.service.metatype [40]_                       No resolution report for the bundle.                Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                     org.apache.felix.configadmin [27]_                       Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                         -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                            org.apache.felix.gogo.command [32]_                              Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                                -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                                   org.apache.felix.gogo.runtime [33]_                                     Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                                       -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                                          org.apache.felix.eventadmin [30]_                                            Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_                  -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_  Unresolved requirement: Import-Package: javax.el; version="[3.0.0,4.0.0)"_    -> Export-Package: javax.el; bundle-symbolic-name="com.sun.el.javax.el"; bundle-version="3.0.0"; version="3.0.0"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.111 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_osgi_web_wab_extender:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.osgi.web.wab.extender [15]_  Unresolved requirement: Import-Package: com.liferay.osgi.util; version="[2.0.0,3.0.0)"_    -> Export-Package: com.liferay.osgi.util; bundle-symbolic-name="com.liferay.osgi.util"; bundle-version="3.2.2"; version="2.1.0"; uses:="org.osgi.framework,org.osgi.service.component,org.osgi.util.tracker"_       com.liferay.osgi.util [3]_         Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_         Unresolved requirement: Import-Package: org.osgi.service.component; version="[1.3.0,2.0.0)"_           -> Export-Package: org.osgi.service.component; bundle-symbolic-name="org.apache.felix.scr"; bundle-version="2.0.6"; version="1.3.0"; uses:="org.osgi.framework"_              org.apache.felix.scr [35]_                Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_                Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                     org.osgi.service.metatype [40]_                       No resolution report for the bundle.                Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                     org.apache.felix.configadmin [27]_                       Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                         -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                            org.apache.felix.gogo.command [32]_                              Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                                -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                                   org.apache.felix.gogo.runtime [33]_                                     Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                                       -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                                          org.apache.felix.eventadmin [30]_                                            Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_                  -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.114 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_osgi_web_wab_generator:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.osgi.web.wab.generator [16]_  Unresolved requirement: Import-Package: org.apache.felix.fileinstall; version="[3.5.0,4.0.0)"_    -> Export-Package: org.apache.felix.fileinstall; bundle-symbolic-name="org.apache.felix.fileinstall"; bundle-version="3.5.4.LIFERAY-PATCHED-3"; version="3.5.4"_       org.apache.felix.fileinstall [31]_         Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"_         Unresolved requirement: Import-Package: org.osgi.service.log_           -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_              org.apache.felix.gogo.command [32]_                Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                  -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                     org.apache.felix.gogo.runtime [33]_                       Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                         -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                            org.apache.felix.eventadmin [30]_                              Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                   org.apache.felix.configadmin [27]_                                     Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                              Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                              Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                                   org.osgi.service.metatype [40]_                                     No resolution report for the bundle.         Unresolved requirement: Import-Package: org.osgi.service.cm_           -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.118 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_osgi_web_wab_reference_support:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.osgi.web.wab.reference.support [17]_  Unresolved requirement: Import-Package: com.liferay.portal.osgi.web.wab.generator; version="[1.0.0,2.0.0)"_    -> Export-Package: com.liferay.portal.osgi.web.wab.generator; bundle-symbolic-name="com.liferay.portal.osgi.web.wab.generator"; bundle-version="2.1.60"; version="1.0.0"_       com.liferay.portal.osgi.web.wab.generator [16]_         Unresolved requirement: Import-Package: org.apache.felix.fileinstall; version="[3.5.0,4.0.0)"_           -> Export-Package: org.apache.felix.fileinstall; bundle-symbolic-name="org.apache.felix.fileinstall"; bundle-version="3.5.4.LIFERAY-PATCHED-3"; version="3.5.4"_              org.apache.felix.fileinstall [31]_                Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"_                Unresolved requirement: Import-Package: org.osgi.service.log_                  -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                     org.apache.felix.gogo.command [32]_                       Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                         -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                            org.apache.felix.gogo.runtime [33]_                              Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                                -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                                   org.apache.felix.eventadmin [30]_                                     Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                          org.apache.felix.configadmin [27]_                                            Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                     Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                     Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                                          org.osgi.service.metatype [40]_                                            No resolution report for the bundle.                Unresolved requirement: Import-Package: org.osgi.service.cm_                  -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.122 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_profile_api:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.profile.api [18]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_  Unresolved requirement: Import-Package: org.osgi.service.component; version="[1.3.0,2.0.0)"_    -> Export-Package: org.osgi.service.component; bundle-symbolic-name="org.apache.felix.scr"; bundle-version="2.0.6"; version="1.3.0"; uses:="org.osgi.framework"_       org.apache.felix.scr [35]_         Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_         Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_              org.osgi.service.metatype [40]_                No resolution report for the bundle.         Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_              org.apache.felix.configadmin [27]_                Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                  -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                     org.apache.felix.gogo.command [32]_                       Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                         -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                            org.apache.felix.gogo.runtime [33]_                              Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                                -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                                   org.apache.felix.eventadmin [30]_                                     Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                     Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                     Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_         Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_           -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_         Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.127 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_profile_impl:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.profile.impl [19]_  Unresolved requirement: Import-Package: com.liferay.portal.profile; version="[1.0.0,2.0.0)"_    -> Export-Package: com.liferay.portal.profile; bundle-symbolic-name="com.liferay.portal.profile.api"; bundle-version="1.0.3"; version="1.0.0"; uses:="org.osgi.service.component"_       com.liferay.portal.profile.api [18]_         Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_         Unresolved requirement: Import-Package: org.osgi.service.component; version="[1.3.0,2.0.0)"_           -> Export-Package: org.osgi.service.component; bundle-symbolic-name="org.apache.felix.scr"; bundle-version="2.0.6"; version="1.3.0"; uses:="org.osgi.framework"_              org.apache.felix.scr [35]_                Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_                Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                     org.osgi.service.metatype [40]_                       No resolution report for the bundle.                Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                     org.apache.felix.configadmin [27]_                       Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                         -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                            org.apache.felix.gogo.command [32]_                              Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                                -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                                   org.apache.felix.gogo.runtime [33]_                                     Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                                       -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                                          org.apache.felix.eventadmin [30]_                                            Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                            Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                              -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_                Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_                  -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                  -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.129 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_portal_target_platform_indexer:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.target.platform.indexer [20]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_  Unresolved requirement: Require-Capability: osgi.extender; filter:="(&(osgi.extender=osgi.component)(version>=1.3.0)(!(version>=2.0.0)))"_    -> Provide-Capability: osgi.extender; osgi.extender="osgi.component"; version:Version="1.3.0"; uses:="org.osgi.service.component"_       org.apache.felix.scr [35]_         Unresolved requirement: Import-Package: org.apache.felix.shell; version="[1.0.0,1.1.0)"; resolution:="optional"_         Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_              org.osgi.service.metatype [40]_                No resolution report for the bundle.         Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.5.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_              org.apache.felix.configadmin [27]_                Unresolved requirement: Import-Package: org.osgi.service.log; version="1.3.0"; resolution:="optional"_                  -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                     org.apache.felix.gogo.command [32]_                       Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.10.0,1.0.0)"; status="provisional"_                         -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_                            org.apache.felix.gogo.runtime [33]_                              Unresolved requirement: Import-Package: org.osgi.service.event; resolution:="optional"_                                -> Export-Package: org.osgi.service.event; bundle-symbolic-name="org.apache.felix.eventadmin"; bundle-version="1.4.6"; version="1.3.0"; uses:="org.osgi.framework"_                                   org.apache.felix.eventadmin [30]_                                     Unresolved requirement: Import-Package: org.osgi.service.cm; version="[1.2.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.cm; bundle-symbolic-name="org.apache.felix.configadmin"; bundle-version="1.8.8"; version="1.5.0"; uses:="org.osgi.framework"_                                     Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_                                     Unresolved requirement: Import-Package: org.osgi.service.metatype; version="[1.1.0,2.0.0)"; resolution:="optional"_                                       -> Export-Package: org.osgi.service.metatype; bundle-symbolic-name="org.osgi.service.metatype"; bundle-version="1.3.0.201505202024"; version="1.3.0"; uses:="org.osgi.framework"_         Unresolved requirement: Import-Package: org.apache.felix.service.command; version="[0.6.0,1.0.0)"; status="provisional"; resolution:="optional"_           -> Export-Package: org.apache.felix.service.command; bundle-symbolic-name="org.apache.felix.gogo.runtime"; bundle-version="0.10.0"; version="0.10.0"; status="provisional"; mandatory:="status"_         Unresolved requirement: Import-Package: org.osgi.service.log; version="[1.3.0,2.0.0)"; resolution:="optional"_           -> Export-Package: org.osgi.service.log; bundle-symbolic-name="org.apache.felix.gogo.command"; bundle-version="0.12.0"; version="1.3.0"; uses:="org.osgi.framework"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.226 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED javax.servlet.jsp-api_2.3.2.b01 [22]
      2018-12-12 18:34:48.227 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED javax.servlet.jsp.jstl-api_1.2.1 [23]
      2018-12-12 18:34:48.228 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED javax.servlet.jsp.jstl_1.2.3.LIFERAY-PATCHED-2 [24]
      2018-12-12 18:34:48.229 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.apache.commons.fileupload_1.3.2 [25]
      2018-12-12 18:34:48.229 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.apache.commons.io_2.2.0 [26]
      2018-12-12 18:34:48.251 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.apache.felix.configadmin_1.8.8 [27]
      2018-12-12 18:34:48.251 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.apache.felix.dependencymanager_3.2.0 [28]
      2018-12-12 18:34:48.255 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.apache.felix.dependencymanager.shell_3.2.0 [29]
      2018-12-12 18:34:48.278 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.apache.felix.eventadmin_1.4.6 [30]
      2018-12-12 18:34:48.291 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.apache.felix.gogo.command_0.12.0 [32]
      2018-12-12 18:34:48.302 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.apache.felix.gogo.runtime_0.10.0 [33]
      2018-12-12 18:34:48.312 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.apache.felix.gogo.shell_0.10.0 [34]
      2018-12-12 18:34:48.334 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.apache.felix.scr_2.0.6 [35]
      2018-12-12 18:34:48.353 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.eclipse.equinox.console_1.1.100.v20141023-1406 [36]
      2018-12-12 18:34:48.356 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.eclipse.equinox.http.servlet_1.2.2.v20180613-2229 [37]
      2018-12-12 18:34:48.362 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.eclipse.equinox.metatype_1.4.200.v20150715-1528 [38]
      2018-12-12 18:34:48.363 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.osgi.service.http_3.5.0.LIFERAY-PATCHED-2 [39]
      2018-12-12 18:34:48.364 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED org.osgi.service.metatype_1.3.0.201505202024 [40]
      2018-12-12 18:34:48.364 INFO  [Start Level: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][BundleStartStopLogger:35] STARTED com.sun.el.javax.el_3.0.0 [21]
      2018-12-12 18:34:48.366 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][org_apache_felix_fileinstall:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: org.apache.felix.fileinstall [31]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      2018-12-12 18:34:48.367 ERROR [Framework Event Dispatcher: Equinox Container: d044d298-3cfe-0018-1fe9-cec2ec2efac6][com_liferay_util_taglib:97] FrameworkEvent ERROR
      org.osgi.framework.BundleException: Could not resolve module: com.liferay.util.taglib [42]_  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"_ [Sanitized]
      	at org.eclipse.osgi.container.Module.start(Module.java:429)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
      	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
      	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
      	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                victor.ware Victor Ware
                Reporter:
                victor.ware Victor Ware
                Participants of an Issue:
                Recent user:
                Victor Ware
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Days since last comment:
                  22 weeks, 6 days ago